# PAGE2 초기설치 및 권한 설정
if [[ -z $1 || -z $2 ]]; then
	echo "Usage exemple : ./page2-make.sh www 707"
	exit
fi

# 필요한 변수 정의
HOMEF=myhome.tar
INITF=page2-init.tar
PAGE2F=page2.tar
MYLIBF=page2-my-lib.tar
ACHOME=`pwd`
HTHOME=$1
DMOD1=$2
if [ $2 -eq "700" ]; then
	DMOD2="705"
else
	DMOD2=$DMOD1
fi

# 입력 옵션 보여주기
echo "HTML Document Root : "$HTHOME
echo "Folder permission (Account Home) : "$DMOD1
echo "Folder permission (HTML Doc Root) : "$DMOD2
if [ -e $HTHOME ]; then
	echo ".....!! initialize folder ("$HTHOME") found."
else
	mkdir html
	echo ".....!! initialize folder ("$HTHOME") Create."
fi
if [ -e $INITF ]; then
	echo ".....!! initialize file ("$INITF") found."
fi
if [ -e $PAGE2F ]; then
	echo ".....!! page2 setup file ("$PAGE2F") found."
fi
if [ -e $MYLIBF ]; then
	echo ".....!! page2 setup file ("$MYLIBF") found."
fi
if [ -e $HOMEF ]; then
	echo ".....!! my home setup file ("$HOMEF") found."
fi
echo

# 계속 진행 여부 확인
read -p "Are you sure? " -n 1 -r
if [[ ! $REPLY =~ ^[Yy]$ ]]; then
	echo
	exit
fi

# (초기설정) tar 파일이 있으면 압축을 풀어 정해진 위치로..
if [ -e $INITF ]; then
	echo
	echo initialize process..
	rm -rf p2*
	rm -rf $HTHOME/p2*
	tar xvf $INITF
	rm -rf $INITF
# page2 소스를 공동으로 사용하는 경우..
	if [ -e .page2 ]; then
		rm -rf p2-lb-sys
		rm -rf p2-ui-sys
	fi
	if [ -e .htaccess ]; then
		mv .htaccess $HTHOME/
	fi
	mv *.php $HTHOME/
	mv p2-img $HTHOME/
	mv p2-ui-* $HTHOME/
fi

# (PAGE2) tar 파일이 있으면 압축을 풀어 정해진 위치로..
if [ -e $PAGE2F ]; then
	echo
	echo PAGE2 setup process..
	rm -rf p2-ext
	rm -rf p2-lb-sys
	rm -rf $HTHOME/p2-ui-sys
	tar xvf $PAGE2F
	rm -rf $PAGE2F
	cd $ACHOME/p2-ext/php
	tar xvf *.tar
	rm -rf *.tar
	cd $ACHOME
	mv p2.php $HTHOME/
	mv p2-ui-sys $HTHOME/
	if [ -e .htaccess ]; then
		mv .htaccess $HTHOME/
	fi
fi

# 서버관리자용 추가 라이브러리...
if [ -e $MYLIBF ]; then
	cd $ACHOME
	rm -rf p2-lb-sys2
	rm -rf $HTHOME/p2-ui-sys2
	tar xvf $MYLIBF
	rm -rf $MYLIBF
	mv p2-ui-sys2 $HTHOME/
fi

# (myhome) tar 파일이 있으면 압축을 풀어 정해진 위치로..
if [ -e $HOMEF ]; then
	echo
	echo my home setup process..
	rm -rf p2-lb-user
	rm -rf $HTHOME/p2-ui-user
	tar xvf $HOMEF
	rm -rf $HOMEF
	cd $ACHOME
	mv p2-ui-user $HTHOME/
fi

# 폴더의 퍼미션 설정
echo
echo permission process..
chmod 701 .
chmod -R $DMOD1 p2-* 2> /dev/null
chmod -R $DMOD2 $HTHOME 2> /dev/null
chmod 701 $HTHOME

# The End
echo
echo process end..
ls -alF
